<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity WorkEffort.
    -->
    <changeSet id="20170101000000-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="work_efforts_id"
                                 baseTableName="work_effort_payment"
                                 constraintName="fk_work_effort_payment_work_efforts_id"
                                 referencedColumnNames="idwe"
                                 referencedTableName="work_effort"/>

        <addForeignKeyConstraint baseColumnNames="payments_id"
                                 baseTableName="work_effort_payment"
                                 constraintName="fk_work_effort_payment_payments_id"
                                 referencedColumnNames="idpayapp"
                                 referencedTableName="payment_application"/>
        
        <addForeignKeyConstraint baseColumnNames="idfacility"
                                 baseTableName="work_effort"
                                 constraintName="fk_work_effort_facility_id"
                                 referencedColumnNames="idfacility"
                                 referencedTableName="facility"/>

        <addForeignKeyConstraint baseColumnNames="idwetyp"
                                 baseTableName="work_effort"
                                 constraintName="fk_work_effort_work_type_id"
                                 referencedColumnNames="idwetyp"
                                 referencedTableName="we_type"/>

    </changeSet>
</databaseChangeLog>
